%global facter_libdir   %(ruby -rrbconfig -e 'puts RbConfig::CONFIG["vendorlibdir"]')

Name:           facter
Version:        1.6.18
Release:        1
Summary:        Command and ruby library for gathering system information

Group:          System Environment/Base
License:        ASL 2.0
URL:            http://www.puppetlabs.com/puppet/related-projects/%{name}/
Source0:        http://downloads.puppetlabs.com/%{name}/%{name}-%{version}.tar.gz
Source1:        http://downloads.puppetlabs.com/%{name}/%{name}-%{version}.tar.gz.asc
# https://bugzilla.redhat.com/719611
# https://projects.puppetlabs.com/issues/19989
Patch0:         0001-19989-Filter-virt-what-warnings-from-virtual-fact.patch
Patch1:		0002-976942-correct-ipaddress-non-loopback.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  patch
BuildRequires:  ruby >= 2.0.0
BuildRequires:  ruby-devel >= 2.0.0
Requires:       ruby >= 2.0.0

%description
Facter is a lightweight program that gathers basic node information about the
hardware and operating system. Facter is especially useful for retrieving
things like operating system names, hardware characteristics, IP addresses, MAC
addresses, and SSH keys.

Facter is extensible and allows gathering of node information that may be
custom or site specific. It is easy to extend by including your own custom
facts. Facter can also be used to create conditional expressions in Puppet that
key off the values returned by facts.


%prep
%setup -q
export PATH=/opt/freeware/bin:$PATH
%patch0 -p1
%patch1 -p0


%build
# nothing to build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

ruby install.rb --destdir=${RPM_BUILD_ROOT} --quick --no-rdoc --sitelibdir=%{facter_libdir}

gunzip ${RPM_BUILD_ROOT}%{_mandir}/man8/*.gz


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc LICENSE README.md
%{_bindir}/%{name}
%{facter_libdir}/%{name}*
%{_mandir}/man8/%{name}*


%changelog
* Fri Jul 26 2013 Michael Perzl <michael@perzl.org> - 1.6.18-1
- first version for AIX V5.1 and higher
